## queue sqlite-0.2.3

=== requirements.txt ===
c o l o r a m a = = 0 . 4 . 6 
 
 i n i c o n f i g = = 2 . 1 . 0 
 
 m a t u r i n = = 1 . 9 . 2 
 
 p a c k a g i n g = = 2 5 . 0 
 
 p l u g g y = = 1 . 6 . 0 
 
 p s u t i l = = 7 . 0 . 0 
 
 p y g m e n t s = = 2 . 1 9 . 2 
 
 p y t e s t = = 8 . 4 . 1 
 
 

## queue 1.30.1-6

=== debian/changelog ===
queue (1.30.1-6) unstable; urgency=high

  * Previous upload wrong urgency. 

 -- Brian Ristuccia <brianr@osiris.978.org>  Fri, 21 Jan 2005 11:02:59 -0500

queue (1.30.1-5) unstable; urgency=low

  * Applied patch from jaguar to queue.c queued.c to fix some buffer
    overflows. [CAN-2004-0555]

 -- Brian Ristuccia <bristucc@sw.starentnetworks.com>  Fri, 14 Jan 2005 11:31:34 -0500

queue (1.30.1-4.2) unstable; urgency=low

  * NMU
  * Fixed out-of-date config.sub/config.guess using autotools-dev
    build-dependency, closes: #203851.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 02 Aug 2003 07:39:46 +0000

queue (1.30.1-4.1) unstable; urgency=low

  * NMU
  * Fixed multiline constants, closes: #195496.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 26 Jul 2003 07:23:07 +0000

queue (1.30.1-4) unstable; urgency=low

  * Added pty patch. Pty allocation on devfs is totally broken and highly
    suspect everywhere else. (closes: #81040)
  * Adopting package. (closes: #79129)

 -- Brian Ristuccia <bristucc@sw.starentnetworks.com>  Fri, 30 Nov 2001 18:23:57 -0500

queue (1.30.1-3) unstable; urgency=low

  * fix build failure on ia64 (closes: #105092)
  * fix broken use of time headers (closes: #113254)

 -- David Kimdon <dwhedon@debian.org>  Sun, 23 Sep 2001 23:09:53 -0600

queue (1.30.1-2) unstable; urgency=medium

  * Applied patch from suckfish@ihug.co.nz to fix a crash on any trivial
    command, related to rlimits. Closes: #81033

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Jan 2001 10:46:02 -0800

queue (1.30.1-1) unstable; urgency=high

  * New upstram release.
    - Includes /dev/tty chmod fix. Closes: #56931 (critical)
  * It really is orphaned though -- someone else needs to take it from
    here, I don't use the package.

 -- Joey Hess <joeyh@debian.org>  Fri, 29 Dec 2000 21:28:05 -0800

queue (1.20.1-pre4-8) unstable; urgency=medium

  * Orphaned.

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Dec 2000 14:57:20 -0800

queue (1.20.1-pre4-7) frozen unstable; urgency=medium

  * Fixed weird tty manuipulation bug with patch by author. Closes: #56931
    (critical bug)

 -- Joey Hess <joeyh@debian.org>  Sun,  6 Feb 2000 18:12:41 -0800

queue (1.20.1-pre4-6) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 15:24:24 -0800

queue (1.20.1-pre4-5) unstable; urgency=low

  * Removed install-stamp target, which can cause some problems.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 13:27:17 -0700

queue (1.20.1-pre4-4) unstable; urgency=low

  * FHS
  * Use dh_installinfo.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 16:30:56 -0700

queue (1.20.1-pre4-3) unstable; urgency=low

  * Corrected permissions of queue binary. Closes: #43568

 -- Joey Hess <joeyh@debian.org>  Sun, 29 Aug 1999 18:19:20 -0700

queue (1.20.1-pre4-2) unstable; urgency=low

  * Rebuild with sudo to fix suidregister issue. DO NOT build this package
    with fakeroot.

 -- Joey Hess <joeyh@debian.org>  Fri, 25 Jun 1999 11:25:12 -0700

queue (1.20.1-pre4-1) unstable; urgency=low

  * New upstream release, first public debian release.

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Mar 1999 11:02:43 -0800

queue (1.20.1-pre3-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Sat, 13 Mar 1999 17:13:34 -0800

queue (1.12-1) unstable; urgency=low

  * First release. I'm sure it still needs some tweaking and ease-of-install
    additions.
  * Applied patch from author to make qsh not crash queued.
  * Disabled F_SETLK locking temporarily, it breaks under kernel 2.2.

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Mar 1999 00:09:08 -0800

=== debian/control ===
Source: queue
Section: admin
Priority: optional
Build-Depends: debhelper, flex, autotools-dev
Maintainer: Brian Ristuccia <bristucc@sw.starentnetworks.com>
Standards-Version: 3.2.1.0

Package: queue
Architecture: any
Depends: ${shlibs:Depends}
Description: transparent load balancing system
 GNU Queue is a load-balancing system that lets users control their remote
 jobs in an intuitive, transparent and nearly seamless way. This is done
 with local shell job control and signaling and with Queue's innovative
 proxy daemon mechanism. Queue can be used as a local replacement for rsh
 to hosts within a homogeneous cluster under single administrative control.
 Queue also supports the more traditional email-based load-balancing and
 distributed batch-processing facilities using a number of criteria to
 decide where to send jobs.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub .
	./configure --enable-root --bindir=/usr/bin --sbindir=/usr/sbin \
		--datadir=/etc/queue --localstatedir=/var/lib --prefix=/usr
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub .
	-$(MAKE) distclean
	dh_clean random doc/queue.man config.guess config.sub

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs etc/queue
	$(MAKE) install DESTDIR=debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs ACKNOWLEDGEMENTS AUTHORS NEWS README TODO HISTORY TESTING
	dh_installexamples
	dh_installmenu
	dh_installinfo doc/queue.info
#	dh_installemacsen
	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_link usr/share/man/man1/queue.1 usr/share/man/man1/qsh.1 \
		usr/bin/queue usr/bin/qsh
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chmod u+s debian/tmp/usr/bin/queue
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
